PPl board member tasks - Task #140

Update the Rules of procedure
05/17/2012 09:37 PM - Lola Voronina

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Lola Voronina % Done:
Category: Estimated time:
Target version:

05/17/2012
05/22/2012
100%

0.00 hour

Description
Lola to update the wiki page

History

#1 - 05/23/2012 11:46 AM - Gregory Engels
- Status changed from New to Resolved

- % Done changed from 0 to 100

Wiki page updated

#2 - 07/03/2012 06:23 PM - Lola Voronina

- Status changed from Resolved to Closed

10/21/2025
